### Enumeration

# Gimp ProcedureSensitivityMask

unstable since: 3.0

#### Declaration

    flags Gimp.ProcedureSensitivityMask

#### Description [src]

The cases when a `GimpProcedure` should be shown as sensitive.

Available since: 3.0

#### Members

`GIMP_PROCEDURE_SENSITIVE_DRAWABLE`

  Handles image with one selected drawable.

  - Value: `1`
  - Nickname: `drawable`
  - Available since: 3.0
`GIMP_PROCEDURE_SENSITIVE_DRAWABLES`

  Handles image with several selected drawables.

  - Value: `4`
  - Nickname: `drawables`
  - Available since: 3.0
`GIMP_PROCEDURE_SENSITIVE_NO_DRAWABLES`

  Handles image with no selected drawables.

  - Value: `8`
  - Nickname: `no-drawables`
  - Available since: 3.0
`GIMP_PROCEDURE_SENSITIVE_NO_IMAGE`

  Handles no image.

  - Value: `16`
  - Nickname: `no-image`
  - Available since: 3.0
`GIMP_PROCEDURE_SENSITIVE_ALWAYS`
  No description available.
  - Value: `2147483647`
  - Nickname: `always`
  - Available since: 3.0